Subject: Re: bug#31683: emacs-lisp-intro.texi - opportunity to link eintr to elisp

From: Eli Zaretskii <[email-masked]>
Date: Sat, 02 Jun 2018 14:36:12 +0300

> From: Van L <[email-masked]>
> Date: Sat, 2 Jun 2018 20:39:49 +1000
> 
> The footnote at line 2150 *indirectly* links to (elisp) Printed Representation, which details what an expression is.
> 
> : 8cda6f8f44b (Glenn Morris             2007-09-06  2150) learn how to read it.@footnote{@code{(quote hello)} is an expansion of

I don't think I agree: the relation to expressions is too far-fetched
here.

> At line 2508 in the summary is an opportunity to *directly* link the mention of expressions to (elisp) Printed Representation.
> 
> : 8cda6f8f44b (Glenn Morris             2007-09-06  2508) Lisp programs are made up of expressions, which are lists or single atoms.

Expressions were explained in the previous sub-sections, so I don't
think we need to add a cross-reference here.  (In any case, having
cross-references in a Summary is IME bad style, since it means we
failed to describe something in the parts being summarized.  A summary
should never say anything that wasn't already said before.)

> (I will re-open this bug number for future opportunities to link eintr, elisp after it is closed.)

Please don't, as each issue should be a separate bug report.